Show / Hide Table of Contents

# Struct MapMarkerBase

##### Inherited Members

System.ValueType.Equals(System.Object)
System.ValueType.GetHashCode()
System.ValueType.ToString()
System.Object.Equals(System.Object, System.Object)
System.Object.GetType()
System.Object.ReferenceEquals(System.Object, System.Object)

###### Namespace: FFXIVClientStructs.FFXIV.Client.UI.Agent

###### Assembly: FFXIVClientStructs.dll

##### Syntax

    public struct MapMarkerBase

### Fields

| Improve this Doc View Source

#### IconFlags

##### Declaration

    public ushort IconFlags

##### Field Value

Type | Description
--- | ---
System.UInt16 |

| Improve this Doc View Source

#### IconId

##### Declaration

    public uint IconId

##### Field Value

Type | Description
--- | ---
System.UInt32 |

| Improve this Doc View Source

#### Index

##### Declaration

    public byte Index

##### Field Value

Type | Description
--- | ---
System.Byte |

| Improve this Doc View Source

#### Scale

##### Declaration

    public int Scale

##### Field Value

Type | Description
--- | ---
System.Int32 |

| Improve this Doc View Source

#### SecondaryIconId

##### Declaration

    public uint SecondaryIconId

##### Field Value

Type | Description
--- | ---
System.UInt32 |

| Improve this Doc View Source

#### Subtext

##### Declaration

    public byte *Subtext

##### Field Value

Type | Description
--- | ---
System.Byte* |

| Improve this Doc View Source

#### SubtextOrientation

##### Declaration

    public byte SubtextOrientation

##### Field Value

Type | Description
--- | ---
System.Byte |

| Improve this Doc View Source

#### SubtextStyle

##### Declaration

    public byte SubtextStyle

##### Field Value

Type | Description
--- | ---
System.Byte |

| Improve this Doc View Source

#### X

##### Declaration

    public short X

##### Field Value

Type | Description
--- | ---
System.Int16 |

| Improve this Doc View Source

#### Y

##### Declaration

    public short Y

##### Field Value

Type | Description
--- | ---
System.Int16 |